#!/bin/sh

ulimit -c unlimited

echo "Starting watchdog"
cd /cathexis/bin
./cat_watchdog > /dev/null &

echo "Starting upgrade"
cd /cathexis/upgrade
./cat_upgrade > /dev/null &

echo "Starting discover service"
cd /cathexis/bin
./cat_discover > /dev/null &

#echo "Free up space"
#/cathexis/scripts/free_space.sh

echo "Checking default boot"
/cathexis/scripts/default_unit.sh

echo "Running clear logs"
/cathexis/scripts/clear_logs.sh &

cd /cathexis/bin

echo "Initialising Cathexis environment"

# mount and link the hiwrite
rm -rf /cathexis/logs
mkdir -p /hiwrite/logs
ln -s /hiwrite/logs /cathexis/logs

# create the /space/tmp directory for upgrades
mkdir -p /space/tmp
mkdir -p /space/upgrades

# Start inetd for ftp - see etc/inetd.conf
inetd

MARKER=`date +"%b %e %T"`" == Restart ======================================"

echo $MARKER >> /var/log/combined.log
echo $MARKER >> /var/log/info.log
echo $MARKER >> /var/log/msg.log
echo $MARKER >> /var/log/crit.log

./loadmodules.sh
./cat_logger > /dev/null &

if [ -e start_functional_test ]
 then		
	sleep 3	
	echo "Starting functional test"
	/cathexis/scripts/start_modem.sh &
	sleep 30 
  ./mvr_functional &
 else
#  /cathexis/scripts/start_servers.sh &
	./cat_boardcontrol > /dev/null &
fi

exit 0
